Index: ruby/trunk/lib/adl_parser/Rakefile
===================================================================
--- ruby/trunk/lib/adl_parser/Rakefile	(revision 268)
+++ ruby/trunk/lib/adl_parser/Rakefile	(revision 283)
@@ -76,5 +76,5 @@
   s.name = 'adl_parser'
   s.author = 'Akimichi Tatsukawa'
-  s.version = '0.0.3'
+  s.version = '0.0.4'
   s.summary = 'ADL parser'
   s.email = 'akimichi.tatsukawa@gmail.com'
@@ -88,5 +88,5 @@
   s.has_rdoc = true
   s.extra_rdoc_files = ["README"]
-  s.add_dependency("yaparc", ">= 0.2.3")
+#  s.add_dependency("yaparc", ">= 0.2.3")
   s.add_dependency("openehr_models", ">= 0.0.3")
 end
Index: ruby/trunk/lib/adl_parser/lib/adl_exception.rb
===================================================================
--- ruby/trunk/lib/adl_parser/lib/adl_exception.rb	(revision 283)
+++ ruby/trunk/lib/adl_parser/lib/adl_exception.rb	(revision 283)
@@ -0,0 +1,14 @@
+module OpenEHR
+  module ADL
+    module Exception
+      class Base < RuntimeError
+      end
+
+      module CADLScanner
+        class Base < RuntimeError
+        end
+      end
+    end
+  end
+end
+
Index: ruby/trunk/lib/adl_parser/lib/adl_parser.rb
===================================================================
--- ruby/trunk/lib/adl_parser/lib/adl_parser.rb	(revision 268)
+++ ruby/trunk/lib/adl_parser/lib/adl_parser.rb	(revision 283)
@@ -9,4 +9,5 @@
 require 'logger'
 require 'adl_scanner.rb'
+require 'adl_exception.rb'
 
 module OpenEHR
